Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: ossim 1.8.20.3-1

Git Clone URL: https://aur-dev.archlinux.org/ossim.git (read-only)
Package Base: ossim
Description: OSSIM is a powerful suite of geospatial libraries and applications used to process imagery, maps, terrain, and vector data.
Upstream URL: http://www.ossim.org
Keywords: GIS Remote Sensing
Licenses: LGPL
Submitter: geosam
Maintainer: geosam
Last Packager: geosam
Votes: 2
Popularity: 0.000448
First Submitted: 2015-06-17 14:36
Last Updated: 2016-05-19 02:56

Latest Comments

1 2 Next › Last »

hend commented on 2016-07-22 16:48

Hello, I can't seem to use it coz I guess this package lacks the GUI, isn't it?

geosam commented on 2016-05-19 03:16

Another alternative to compile OSSIM with plugings, but I get errors.

https://gist.github.com/samtux/4e8813d116e92edf29e31f14d77ab8df

I appreciate any help.

geosam commented on 2016-05-19 03:12

Other alternative building OSSIM with plugins, but I get errors.

https://gist.github.com/samtux/4e8813d116e92edf29e31f14d77ab8df

I appreciate any help.

kikislater commented on 2016-05-17 09:08

Please update

jankoppe commented on 2016-04-26 08:19

Please update this package. If you don't have the time or want to maintain it, I would gladly take over.

kikislater commented on 2016-01-12 13:37

Bad link : http://download.osgeo.org/ossim/source/latest/ossim-1.8.18.tar.gz is dead.
Please update

PKGBUILD should be like this :

pkgver=1.8.18
pkgrel=1

source=(http://download.osgeo.org/ossim/source/ossim-${pkgver}/ossim-${pkgver}-${pkgrel}.tar.gz)

geosam commented on 2015-09-23 18:12

@mbostwick and @arsgeografica, I've made the changes but I get an error with the new version of GDAL 2.0.0. I created a ticket of the error in the official site of OSSIM.

http://trac.osgeo.org/ossim/ticket/2353#ticket

mbostwick commented on 2015-09-06 04:14

This package should not include make or gcc as those are assumed for aur packages..This also appears to be missing liblas

Please update or abandon so this can be fixed.
http://pastebin.com/h8S7P5fq - for the patch
http://pastebin.com/98S5jDd7 - for updated build file

arsgeografica commented on 2015-08-13 09:27

Building on a fresh (virtualized) install of Arch, I had to do two things to get it compile and install:

1) Install podofo, openvc, qt4, otherwise cmake would bail out
2a) Add cmake flag -DINSTALL_LIBRARY_DIR=/usr/lib to prevent installing in /usr/lib64 which pacman does not like
2b) Patch ossim-1.8.18/ossim_package_support/cmake/CMakeLists.txt to install ossim.pc in /usr/lib instead of /usr/lib64:

--- src/ossim-1.8.18/ossim_package_support/cmake/CMakeLists.txt.orig 2015-08-13 09:17:39.811546639 +0000
+++ src/ossim-1.8.18/ossim_package_support/cmake/CMakeLists.txt 2015-08-13 09:09:28.608232907 +0000
@@ -254,7 +254,7 @@
${${PROJECT_NAME}_BINARY_DIR}/packaging/pkgconfig/${PKGCONFIG_FILE}.pc
@ONLY
)
- INSTALL(FILES ${${PROJECT_NAME}_BINARY_DIR}/packaging/pkgconfig/${PKGCONFIG_FILE}.pc DESTINATION lib${LIBSUFFIX}/pkgconfig COMPONENT ossim)
+ INSTALL(FILES ${${PROJECT_NAME}_BINARY_DIR}/packaging/pkgconfig/${PKGCONFIG_FILE}.pc DESTINATION lib/pkgconfig COMPONENT ossim)
ENDFOREACH(PKGCONFIG_FILE)

saultdon commented on 2015-08-11 17:54

Somewhere in the configuration, ossimPredator spits a bzip2 warning (probably harmless):

CMake Warning at /tmp/makepkg/ossim/src/ossim-1.8.18/ossimPredator/CMakeLists.txt:56 (find_package):
By not providing "FindBZIP2.cmake" in CMAKE_MODULE_PATH this project has
asked CMake to find a package configuration file provided by "BZIP2", but
CMake did not find one.

Could not find a package configuration file provided by "BZIP2" with any of
the following names:

BZIP2Config.cmake
bzip2-config.cmake

Add the installation prefix of "BZIP2" to CMAKE_PREFIX_PATH or set
"BZIP2_DIR" to a directory containing one of the above files. If "BZIP2"
provides a separate development package or SDK, be sure it has been
installed.

CMake Warning at /tmp/makepkg/ossim/src/ossim-1.8.18/ossimPredator/CMakeLists.txt:61 (message):
Could not find bzip2 package! Consider installing this as it will soon
become a required package.